#
# Conditional build:
%bcond_without	static_libs	# don't build static library
#
%define		pname confuse
Summary:	libConfuse - a library for parsing configuration files
Summary(pl.UTF-8):	libConfuse - biblioteka do analizy plików konfiguracyjnych
Name:		libconfuse
Version:	2.8
Release:	1
License:	ISC
Group:		Libraries
#Source0Download: https://github.com/martinh/libconfuse/releases
Source0:	https://github.com/martinh/libconfuse/releases/download/v%{version}/%{pname}-%{version}.tar.xz
# Source0-md5:	cb552c5737a72ef164733f0118971eb0
URL:		https://github.com/martinh/libconfuse
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake >= 1:1.11
BuildRequires:	gettext-tools >= 0.16.1
BuildRequires:	libtool >= 2:2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
libConfuse is a configuration file parser library written in C. It
supports sections and (lists of) values (strings, integers, floats,
booleans or other sections), as well as some other features (such as
single/double-quoted strings, environment variable expansion,
functions and nested include statements).

It makes it very easy to add configuration file capability to a
program using a simple API. libConfuse aims to be easy to use and
quick to integrate with your code.

%description -l pl.UTF-8
Biblioteka libConfuse jest analizatorem plików konfiguracyjnych.
Napisana została w języku C. Plik konfiguracyjny może zawierać sekcje
i listę wartości następujących typów: napisy, liczby całkowite,
zmiennoprzecinkowe, wartości logiczne. Napisy mogą być z pojedynczym
lub podwójnym cudzysłowem. Zmienne środowiskowe są rozwijane. Można
używać funkcji i zagnieżdżać wyrażenia.

Biblioteka umożliwia w prosty sposób dodanie do programu obsługę
plików konfiguracyjnych używając prostego API. libConfuse ma być
biblioteką prostą w użyciu i pozwalać na szybką integrację z kodem
programu.

%package devel
Summary:	Header files for libConfuse library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libConfuse
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
This package contains the header files for libConfuse library.

%description devel -l pl.UTF-8
Ten pakiet zawiera pliki nagłówkowe biblioteki libConfuse.

%package static
Summary:	Static libConfuse library
Summary(pl.UTF-8):	Statyczna biblioteka libConfuse
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libConfuse library.

%description static -l pl.UTF-8
Statyczna biblioteka libConfuse.

%prep
%setup -q -n %{pname}-%{version}

%build
%{__gettextize}
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	%{!?with_static_libs:--disable-static}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_examplesdir}/%{name}-%{version},%{_mandir}/man3,%{_pkgconfigdir}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# obsoleted by pkg-config
%{__rm} $RPM_BUILD_ROOT%{_libdir}/libconfuse.la

install doc/man/man3/* $RPM_BUILD_ROOT%{_mandir}/man3

rm -rf examples/{ftpconf,reread,simple,*.o}
install examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%find_lang %{pname}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files -f %{pname}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog.md LICENSE README.md
%attr(755,root,root) %{_libdir}/libconfuse.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libconfuse.so.0

%files devel
%defattr(644,root,root,755)
%doc doc/html doc/tutorial-html
%attr(755,root,root) %{_libdir}/libconfuse.so
%{_includedir}/confuse.h
%{_pkgconfigdir}/libconfuse.pc
%{_mandir}/man3/cfg_*.3*
%{_mandir}/man3/confuse.h.3*
%{_examplesdir}/%{name}-%{version}

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libconfuse.a
%endif
%changelog
* Sat Feb 18 2017 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libconfuse.git;a=log;h=master

* Sat Feb 18 2017 Jakub Bogusz <qboosh@pld-linux.org> 220b0d4
- new URLs, updated to 2.8
- dropped .la file

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> a1ae691
- x32 rebuild
- release 2 (by relup.sh)

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> baabd95
- updated gettext BR

* Wed Sep 22 2010 Jakub Bogusz <qboosh@pld-linux.org> 919da1f
- dropped outdated no_tests patch (nobody cared)
- s/_name/pname/ (_underscored macros are reserved)

* Mon Sep 20 2010 Zsolt Udvari <uzsolt@pld-linux.org> 7910de1
- 2.7
- change Source0

* Sat Aug 02 2008 Artur Frysiak <artur@frysiak.net> fbce692
- fix building, release 2

* Thu Feb 07 2008 Jakub Bogusz <qboosh@pld-linux.org> 87017d3
- updated to 2.6
- License is MIT-like now

* Thu Feb 07 2008 Jakub Bogusz <qboosh@pld-linux.org> fc6ed2e
- pl fix

* Thu Sep 27 2007 Tomasz Pala <gotar@pld-linux.org> 09079e8
- package *.pc file, rel 1

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 915f24c
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 8615e5f
- converted to UTF-8

* Sun Mar 12 2006 Jakub Bogusz <qboosh@pld-linux.org> f863217
- added missing .so symlink

* Sat Mar 11 2006 twittner <twittner@pld-linux.org> 2c5a9f2
- corrected

* Sat Mar 11 2006 twittner <twittner@pld-linux.org> b273f9d
- don't compile tests

* Fri Mar 10 2006 maciek2w <maciek2w@pld-linux.org> 633ad0c
- packaged manpages, examples, documentation

* Fri Mar 10 2006 maciek2w <maciek2w@pld-linux.org> 32a93bf
- initial release

